osgDB::ImageOptions Class Reference

`#include <ImageOptions>`

Inheritance diagram for osgDB::ImageOptions:

## Classes

struct | RatioWindow
struct | PixelWindow
struct | TexCoordRange

## Public Types

enum | ImageWindowMode { ALL_IMAGE , RATIO_WINDOW , PIXEL_WINDOW }
enum | ImageSamplingMode { NEAREST , LINEAR , CUBIC }
Public Types inherited from osgDB::Options
enum | CacheHintOptions { CACHE_NONE = 0 , CACHE_NODES = 1<<0 , CACHE_IMAGES = 1<<1 , CACHE_HEIGHTFIELDS = 1<<2 , CACHE_ARCHIVES = 1<<3 , CACHE_OBJECTS = 1<<4 , CACHE_SHADERS = 1<<5 , CACHE_ALL }
| bit mask for setting up which object types get cached by readObject/Image/HeightField/Node(filename) calls More...
enum | PrecisionHint { FLOAT_PRECISION_ALL = 0 , DOUBLE_PRECISION_VERTEX = 1<<0 , DOUBLE_PRECISION_NORMAL = 1<<1 , DOUBLE_PRECISION_COLOR = 1<<2 , DOUBLE_PRECISION_SECONDARY_COLOR = 1<<3 , DOUBLE_PRECISION_FOG_COORD = 1<<4 , DOUBLE_PRECISION_TEX_COORD = 1<<5 , DOUBLE_PRECISION_VERTEX_ATTRIB = 1<<6 , DOUBLE_PRECISION_ALL }
enum | BuildKdTreesHint { NO_PREFERENCE , DO_NOT_BUILD_KDTREES , BUILD_KDTREES }
| range of options of whether to build kdtrees automatically on loading More...
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| ImageOptions ()
| ImageOptions (const std::string &str)
| ImageOptions (const ImageOptions &options, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgDB, ImageOptions)
void | init ()
Public Member Functions inherited from osgDB::Options
| Options ()
| Options (const std::string &str)
| Options (const Options &options, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgDB, Options)
Options * | cloneOptions (const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY) const
void | setOptionString (const std::string &str)
const std::string & | getOptionString () const
void | setDatabasePath (const std::string &str)
FilePathList & | getDatabasePathList ()
const FilePathList & | getDatabasePathList () const
void | setObjectCacheHint (CacheHintOptions useObjectCache)
CacheHintOptions | getObjectCacheHint () const
void | setObjectCache (ObjectCache *objectCache)
ObjectCache * | getObjectCache () const
void | setPrecisionHint (PrecisionHint hint)
PrecisionHint | getPrecisionHint () const
void | setBuildKdTreesHint (BuildKdTreesHint hint)
BuildKdTreesHint | getBuildKdTreesHint () const
void | setAuthenticationMap (AuthenticationMap *authenticationMap)
const AuthenticationMap * | getAuthenticationMap () const
void | setPluginData (const std::string &s, void *v) const
void * | getPluginData (const std::string &s)
const void * | getPluginData (const std::string &s) const
void | removePluginData (const std::string &s) const
unsigned int | getNumPluginData () const
void | setPluginStringData (const std::string &s, const std::string &v) const
std::string & | getPluginStringData (const std::string &s)
const std::string | getPluginStringData (const std::string &s) const
void | removePluginStringData (const std::string &s) const
unsigned int | getNumPluginStringData () const
void | parsePluginStringData (const std::string &str, char separator1=' ', char separator2='=')
void | setFindFileCallback (FindFileCallback *cb)
FindFileCallback * | getFindFileCallback () const
void | setReadFileCallback (ReadFileCallback *cb)
ReadFileCallback * | getReadFileCallback () const
void | setWriteFileCallback (WriteFileCallback *cb)
WriteFileCallback * | getWriteFileCallback () const
void | setFileLocationCallback (FileLocationCallback *cb)
FileLocationCallback * | getFileLocationCallback () const
void | setFileCache (FileCache *fileCache)
FileCache * | getFileCache () const
void | setTerrain (osg::observer_ptr< osg::Node > &terrain)
const osg::observer_ptr< osg::Node > & | getTerrain () const
void | setParentGroup (osg::observer_ptr< osg::Group > &parentGroup)
const osg::observer_ptr< osg::Group > & | getParentGroup () const
bool | operator< (const Options &rhs) const
bool | operator== (const Options &rhs) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

ImageSamplingMode | _sourceImageSamplingMode
ImageWindowMode | _sourceImageWindowMode
RatioWindow | _sourceRatioWindow
PixelWindow | _sourcePixelWindow
osg::ref_ptr< osg::Image > | _destinationImage
ImageWindowMode | _destinationImageWindowMode
RatioWindow | _destinationRatioWindow
PixelWindow | _destinationPixelWindow
GLenum | _destinationDataType
GLenum | _destinationPixelFormat

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Types inherited from osgDB::Options
typedef std::map< std::string, void * > | PluginDataMap
typedef std::map< std::string, std::string > | PluginStringDataMap
Protected Member Functions inherited from osgDB::Options
virtual | ~Options ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osgDB::Options
std::string | _str
FilePathList | _databasePaths
CacheHintOptions | _objectCacheHint
osg::ref_ptr< ObjectCache > | _objectCache
PrecisionHint | _precisionHint
BuildKdTreesHint | _buildKdTreesHint
osg::ref_ptr< AuthenticationMap > | _authenticationMap
PluginDataMap | _pluginData
PluginStringDataMap | _pluginStringData
osg::ref_ptr< FindFileCallback > | _findFileCallback
osg::ref_ptr< ReadFileCallback > | _readFileCallback
osg::ref_ptr< WriteFileCallback > | _writeFileCallback
osg::ref_ptr< FileLocationCallback > | _fileLocationCallback
osg::ref_ptr< FileCache > | _fileCache
osg::observer_ptr< osg::Node > | _terrain
osg::observer_ptr< osg::Group > | _parentGroup
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Enumeration Documentation

## ImageSamplingMode

enum osgDB::ImageOptions::ImageSamplingMode

Enumerator
NEAREST |
LINEAR |
CUBIC |

## ImageWindowMode

enum osgDB::ImageOptions::ImageWindowMode

Enumerator
ALL_IMAGE |
RATIO_WINDOW |
PIXEL_WINDOW |

## Constructor & Destructor Documentation

## ImageOptions() [1/3]

osgDB::ImageOptions::ImageOptions | ( |  | ) |

Referenced by ImageOptions(), and META_Object().

## ImageOptions() [2/3]

osgDB::ImageOptions::ImageOptions | ( | const std::string & | str | ) |

## ImageOptions() [3/3]

osgDB::ImageOptions::ImageOptions | ( | const ImageOptions & | options,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

inline

References _destinationDataType, _destinationImage, _destinationImageWindowMode, _destinationPixelFormat, _destinationPixelWindow, _destinationRatioWindow, _sourceImageSamplingMode, _sourceImageWindowMode, _sourcePixelWindow, _sourceRatioWindow, ImageOptions(), osgDB::Options::Options(), and osg::CopyOp::SHALLOW_COPY.

## Member Function Documentation

## init()

void osgDB::ImageOptions::init | ( |  | ) |

## META_Object()

osgDB::ImageOptions::META_Object | ( | osgDB | ,
|  | ImageOptions | )

References ImageOptions().

## Member Data Documentation

## _destinationDataType

GLenum osgDB::ImageOptions::_destinationDataType

Referenced by ImageOptions().

## _destinationImage

osg::ref_ptr<osg::Image> osgDB::ImageOptions::_destinationImage

Referenced by ImageOptions().

## _destinationImageWindowMode

ImageWindowMode osgDB::ImageOptions::_destinationImageWindowMode

Referenced by ImageOptions().

## _destinationPixelFormat

GLenum osgDB::ImageOptions::_destinationPixelFormat

Referenced by ImageOptions().

## _destinationPixelWindow

PixelWindow osgDB::ImageOptions::_destinationPixelWindow

Referenced by ImageOptions().

## _destinationRatioWindow

RatioWindow osgDB::ImageOptions::_destinationRatioWindow

Referenced by ImageOptions().

## _sourceImageSamplingMode

ImageSamplingMode osgDB::ImageOptions::_sourceImageSamplingMode

Referenced by ImageOptions().

## _sourceImageWindowMode

ImageWindowMode osgDB::ImageOptions::_sourceImageWindowMode

Referenced by ImageOptions().

## _sourcePixelWindow

PixelWindow osgDB::ImageOptions::_sourcePixelWindow

Referenced by ImageOptions().

## _sourceRatioWindow

RatioWindow osgDB::ImageOptions::_sourceRatioWindow

Referenced by ImageOptions().

The documentation for this class was generated from the following file:

- ImageOptions